
set( toyExperiment_VERSION 0.00.29 )
set( toyExperiment_UPS_VERSION v0_00_29 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( art v1_13_01 )
    find_ups_product( cppunit v1_12_1a )
    find_ups_product( gccxml v0_9_20140718a )
    find_ups_product( clhep v2_2_0_3 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( cetlib v1_08_00 )
    find_ups_product( cpp0x v1_03_02 )
    find_ups_boost( v1_50_0 )
    find_ups_product( fhiclcpp v3_06_00 )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility v1_14_01 )
    find_ups_root( v5_34_20 )
    find_ups_product( tbb v4_1 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
      set( TOYEXPERIMENT_UTILITIES  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Utilities.dylib )
      set( TOYEXPERIMENT_RECODATAPRODUCTS  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_RecoDataProducts.dylib )
      set( TOYEXPERIMENT_RECODATAPRODUCTS_DICT  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_RecoDataProducts_dict.dylib )
      set( TOYEXPERIMENT_MCDATAPRODUCTS  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_MCDataProducts.dylib )
      set( TOYEXPERIMENT_MCDATAPRODUCTS_DICT  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_MCDataProducts_dict.dylib )
      set( TOYEXPERIMENT_RECONSTRUCTION  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Reconstruction.dylib )
      set( TOYEXPERIMENT_RECONSTRUCTION_FINDANDFITHELIX_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Reconstruction_FindAndFitHelix_module.dylib )
      set( TOYEXPERIMENT_SIMULATIONS_EVENTGENERATOR_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Simulations_EventGenerator_module.dylib )
      set( TOYEXPERIMENT_SIMULATIONS_DETECTORSIMULATION_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Simulations_DetectorSimulation_module.dylib )
      set( TOYEXPERIMENT_SIMULATIONS_HITMAKER_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Simulations_HitMaker_module.dylib )
      set( TOYEXPERIMENT_ANALYZERS  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers.dylib )
      set( TOYEXPERIMENT_ANALYZERS_HELLOWORLD_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_HelloWorld_module.dylib )
      set( TOYEXPERIMENT_ANALYZERS_INSPECTGENPARTICLES_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_InspectGenParticles_module.dylib )
      set( TOYEXPERIMENT_ANALYZERS_INSPECTINTERSECTIONS_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_InspectIntersections_module.dylib )
      set( TOYEXPERIMENT_ANALYZERS_INSPECTTRKHITS_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_InspectTrkHits_module.dylib )
      set( TOYEXPERIMENT_ANALYZERS_INSPECTFITTEDHELIX_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_InspectFittedHelix_module.dylib )
      set( TOYEXPERIMENT_ANALYZERS_MASSPLOT_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_MassPlot_module.dylib )
      set( TOYEXPERIMENT_ANALYZERS_EVENTDISPLAY_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_EventDisplay_module.dylib )
      set( TOYEXPERIMENT_DATAPRODUCTS_DICT  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_DataProducts_dict.dylib )
      set( TOYEXPERIMENT_PDT  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_PDT.dylib )
      set( TOYEXPERIMENT_PDT_PDT_SERVICE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_PDT_PDT_service.dylib )
      set( TOYEXPERIMENT_CONDITIONS  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Conditions.dylib )
      set( TOYEXPERIMENT_CONDITIONS_CONDITIONS_SERVICE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Conditions_Conditions_service.dylib )
      set( TOYEXPERIMENT_GEOMETRY  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Geometry.dylib )
      set( TOYEXPERIMENT_GEOMETRY_GEOMETRY_SERVICE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Geometry_Geometry_service.dylib )
      include_directories ( $ENV{TOYEXPERIMENT_INC} )

check_required_components(toyExperiment)

